import VPlay 1.0
import QtQuick 1.1

EntityBase {
  id: object
  entityType: "object"

  width: 12
  height: 12

  Image {
    source: "../img/rat.png"
    width: object.width
    height: object.height
    x: -object.width/2
    y: -object.height/2
  }

  CircleCollider {
    id: collider
    radius: object.width/2
    density: 10
    friction: 1
    restitution: 0
  }

  Timer {
    interval: 20000
    running: true
    onTriggered: {
      scene.removeObject(object)
      removeEntity()
    }
  }

  function getPosition() {
    return collider.body.getWorldCenter()
  }

  function applyGravityImpuls(forward) {
    collider.applyLinearImpulse(forward,getPosition())
  }

  Component.onCompleted: {
    applyGravityImpuls(Qt.point(10+Math.random()*40,-10-Math.random()*40))
  }
}
